QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions
QXmppIncomingClient Class Reference

Interface for password checkers. More...

`#include <QXmppIncomingClient.h>`

Inheritance diagram for QXmppIncomingClient:

List of all members.

## Signals
void | elementReceived (const QDomElement &element)
| This signal is emitted when an element is received.
## Public Member Functions
| QXmppIncomingClient (QSslSocket *socket, const QString &domain, QObject *parent=0)
| ~QXmppIncomingClient ()
bool | isConnected () const
QString | jid () const
void | setInactivityTimeout (int secs)
void | setPasswordChecker (QXmppPasswordChecker *checker)

## Detailed Description

Interface for password checkers.

The QXmppIncomingClient class represents an incoming XMPP stream from an XMPP client.

## Constructor & Destructor Documentation

QXmppIncomingClient::QXmppIncomingClient | ( | QSslSocket * | socket,
|  | const QString & | domain,
|  | QObject * | parent = `0`
| ) |  |

Constructs a new incoming client stream.

Parameters:

  socket | The socket for the XMPP stream.
  domain | The local domain.
  parent | The parent QObject for the stream (optional).

QXmppIncomingClient::~QXmppIncomingClient | ( |  | ) |

Destroys the current stream.

## Member Function Documentation

bool QXmppIncomingClient::isConnected | ( |  | ) | const`[virtual]`

Returns true if the socket is connected, the client is authenticated and a resource is bound.

Reimplemented from QXmppStream.

QString QXmppIncomingClient::jid | ( |  | ) | const

Returns the client's JID.

void QXmppIncomingClient::setInactivityTimeout | ( | int | secs | ) |

Sets the number of seconds after which a client will be disconnected for inactivity.

void QXmppIncomingClient::setPasswordChecker | ( | QXmppPasswordChecker * | checker | ) |

Sets the password checker used to verify client credentials.

Parameters:

  checker |

The documentation for this class was generated from the following files:

- QXmppIncomingClient.h
- QXmppIncomingClient.cpp

All Classes Functions Enumerations Enumerator Properties